ResetPin

Provides a method to reset the PIN of a card.

The new PIN is sent to the cardholder by SMS using the cellphone we have on record.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction.
profileNumberString1-20 characters✓Profile number linked with this card.
cardIdentifierString1-20 characters✓The card number, tracking number or sequence number of the card to reset the PIN.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client.
transactionDateDate✓Transaction date generated by the calling client.
checksumString✓HMAC-SHA1 hashed signature of the concatenated method name with all argument values using the terminal password as private key.
<?xml version="1.0" encoding="UTF-8"?>
<methodCall>
   <methodName>ResetPin</methodName>
   <params>
       <param>
           <value>
               <string>0123458925</string>
           </value>
       </param>
       <param>
           <value>
               <string>9765439072</string>
           </value>
       </param>
       <param>
           <value>
               <string>865276543000005</string>
           </value>
       </param>
        <param>
           <value>
               <string>txn123456</string>
           </value>
       </param>
       <param>
           <value>
               <dateTime.iso8601>20240531T12:00:00</dateTime.iso8601>
           </value>
       </param>
       <param>
           <value>
               <string>8333e08bbc18aae38d1669ghjkli0b9c7787654382202903bd8a4bad94a7fac9</string>
           </value>
       </param>
   </params>
</methodCall>

Response Parameters

ParametertypeDescription
terminalIDStringEcho of incoming value.
profileNumberStringEcho of incoming value.
cardNumberStringNumber of the card found using the cardIdentifier
clientTransactionIDStringEcho of incoming value.
serverTransactionIDDateTransaction ID generated by Paymentology.
resultCodeIntegerStatus code indicating the transaction result.
resultTextStringText indicating the transaction result.
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
    <params>
        <param>
            <value>
                <struct>
                    <member>
                        <name>clientTransactionID</name>
                        <value>
                            <string>txn123456</string>
                        </value>
                    </member>
                    <member>
                        <name>resultCode</name>
                        <value>
                            <int>1</int>
                        </value>
                    </member>
                    <member>
                        <name>terminalID</name>
                        <value>
                            <string>0123458925</string>
                        </value>
                    </member>
                    <member>
                        <name>profileNumber</name>
                        <value>
                            <string>9765439072</string>
                        </value>
                    </member>
                    <member>
                        <name>cardNumber</name>
                        <value>
                            <string>4117090055782620</string>
                        </value>
                    </member>
                    <member>
                        <name>resultText</name>
                        <value>
                            <string>OK</string>
                        </value>
                    </member>
                    <member>
                        <name>serverTransactionID</name>
                        <value>
                            <string>9765439072-8333e08bbc18aae38d1669ghjkli0b9c7787654382202903bd8a4bad94a7fac9</string>
                        </value>
                    </member>
                </struct>
            </value>
        </param>
    </params>
</methodResponse>